RUDOF(SHACL-VALIDATE)

NAME
rudof shacl-validate - Validate RDF data using SHACL shapes

SYNOPSIS
rudof shacl-validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF data using SHACL shapes

  Arguments:

    [DATA]...

OPTIONS

-s, --shapes <Shapes graph: file, URI or -, if not set, it assumes the shapes come from the data>

-f, --shapes-format <Shapes file format>

    [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads]

-t, --data-format <RDF Data format>

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads]

--reader-mode <RDF Reader mode>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-e, --endpoint <Endpoint with RDF data>

-m, --mode <Execution mode>

    Execution mode

    [default: native]

    Possible values: - native: We use a Rust native engine in an imperative manner (performance) - sparql: We use a SPARQL-based engine, which is declarative

-o, --output-file <Output file name, default = terminal>

--force-overwrite

-c, --config-file <Config file name>

    Config file path, if unset it assumes default config

-h, --help

    Print help (see a summary with '-h')